name: fis_lib_media_rt
description: A new Flutter package project.
version: 0.0.1
homepage: 'none'
publish_to: none

environment:
  sdk: ">=2.19.0-317.0.dev <3.0.0"
  flutter: ">=1.17.0"

dependencies:
  flutter:
    sdk: flutter
  path_provider: 2.0.2
  image: 3.3.0
  image_crop_plus: ^0.6.1
  js: ^0.6.4
  fis_common:
    git:
      url: http://git.ius.plus:88/Project-Wing/fis_lib_common.git
      ref: 1.0.12
  # tencent_trtc_cloud: ^2.4.2
  tencent_trtc_cloud:
    git:
      url: http://git.ius.plus/melon.yin/fis_trtc_magic.git
      ref: b6b12aa
    # path: D:\flutter\fis_front\fis_trtc_magic
  vid:
    git:
      url: http://git.ius.plus:88/Project-Wing/flutter_vid
      ref: ed3bf90
  # daniulive:
  #   git:
  #     url: http://git.ius.plus:88/melon.yin/fis_plugin_daniu
  #     ref: '3df45d5'
    # path: ../../fis_packages/fis_plugin_daniu

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.0

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:

  # To add assets to your package, add an assets section, like this:
  assets:
      - wwwroot/
      - wwwroot/css/
      - wwwroot/js/
      - wwwroot/lib/jquery/
      - wwwroot/lib/node_player_0.12.6/
      - wwwroot/lib/debug/
      - wwwroot/lib/device_live/
      - assets/images/live_room_background.jpg
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg
  #
  # For details regarding assets in packages, see
  # https://flutter.dev/assets-and-images/#from-packages
  #
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware

  # To add custom fonts to your package, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts in packages, see
  # https://flutter.dev/custom-fonts/#from-packages
